MONGOC_GRIDFS_FILE_GET_METADATA(3)

NAME
mongoc_gridfs_file_get_metadata() - Fetches a bson document containing the metadata for the gridfs file.

SYNOPSIS

const bson_t *
mongoc_gridfs_file_get_metadata (mongoc_gridfs_file_t *file);

PARAMETERS

file
    A mongoc_gridfs_file_t \&.

DESCRIPTION

Fetches a bson document containing the metadata for the gridfs file.

RETURNS

Returns a const bson_t * that should not be modified or freed.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.